Name:          kid3
Version:       3.8.2
Release:       1mamba
Summary:       A Kde ID3 tagger
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Marco Bellezza <superbel@hotmail.it>
URL:           http://kid3.sourceforge.net/
Source:        http://prdownloads.sourceforge.net/kid3/kid3-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libchromaprint-devel
BuildRequires: libflac-devel
BuildRequires: libgcc
BuildRequires: libid3-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libogg-devel
BuildRequires: libqt5-devel
BuildRequires: libreadline-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtag-devel
BuildRequires: libtermcap-devel
BuildRequires: libvorbis-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums) without typing the same information again and again and have control over both ID3v1 and ID3v2 tags, then Kid3 is the program you are looking for.

%prep
%setup -q

%build
%cmake_kde5 -d build \
   -DWITH_QT5=1 \
%ifarch x86_64
   -DLIB_SUFFIX=64
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name --with-man --with-html || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/kid3
%{_kde5_bindir}/kid3-cli
%{_kde5_bindir}/kid3-qt
%dir %{_kde5_libdir}/kid3
%{_kde5_libdir}/kid3/libkid3-core.so*
%{_kde5_libdir}/kid3/libkid3-gui.so*
%dir %{_kde5_libdir}/kid3/plugins
%{_kde5_libdir}/kid3/plugins/*.so
%dir %{_kde5_libdir}/kid3/plugins/imports
%dir %{_kde5_libdir}/kid3/plugins/imports/Kid3
%{_kde5_libdir}/kid3/plugins/imports/Kid3/*
%{_datadir}/applications/net.sourceforge.kid3.desktop
%{_datadir}/applications/net.sourceforge.kid3-qt.desktop
%{_datadir}/metainfo/net.sourceforge.kid3-qt.appdata.xml
%{_datadir}/metainfo/net.sourceforge.kid3.appdata.xml
%dir %{_kde5_sharedir}/kid3/qml
%dir %{_kde5_sharedir}/kid3/qml/script
%{_kde5_sharedir}/kid3/qml/script/*
%{_datadir}/dbus-1/interfaces/net.sourceforge.Kid3.xml
%{_datadir}/kxmlgui5/kid3/kid3ui.rc
%{_kde5_icondir}/hicolor/*/apps/kid3.png
%{_kde5_sharedir}/icons/hicolor/*/apps/kid3-qt.png
%{_kde5_icondir}/hicolor/scalable/apps/kid3.svgz
%{_kde5_sharedir}/icons/hicolor/scalable/apps/kid3-qt.svg
%lang(de) %{_kde5_sharedir}/doc/kid3-qt/kid3_de.html
%lang(en) %{_kde5_sharedir}/doc/kid3-qt/kid3_en.html
%lang(pt) %{_kde5_sharedir}/doc/kid3-qt/kid3_pt.html
%{_kde5_sharedir}/man/man1/kid3-cli.1*
%{_kde5_sharedir}/man/man1/kid3-qt.1*
%{_kde5_sharedir}/man/man1/kid3.1*
%doc AUTHORS COPYING
#ChangeLog LICENSE NEWS README

%changelog
* Sun Feb 02 2020 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Mon Dec 23 2019 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Thu Aug 29 2019 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Mar 19 2019 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Fri Dec 28 2018 Automatic Build System <autodist@mambasoft.it> 3.7.0-1mamba
- automatic version update by autodist

* Wed Sep 05 2018 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Sat May 12 2018 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Tue Mar 27 2018 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Sat Jun 24 2017 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Thu Mar 02 2017 Automatic Build System <autodist@mambasoft.it> 3.4.5-1mamba
- automatic version update by autodist

* Sat Dec 24 2016 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic version update by autodist

* Tue Nov 01 2016 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Thu Aug 25 2016 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Fri Jun 24 2016 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Thu Mar 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-2mamba
- rebuild for qt5/kde5

* Tue Mar 15 2016 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Sun Dec 20 2015 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Thu May 14 2015 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic update by autodist

* Fri Apr 25 2014 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Tue Dec 03 2013 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Thu Oct 31 2013 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update by autodist

* Fri Mar 15 2013 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Sat Oct 20 2012 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Sat Feb 12 2011 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic update by autodist

* Thu Sep 30 2010 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic update by autodist

* Fri May 07 2010 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic update by autodist

* Mon Jan 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-2mamba
- automatic rebuild by autodist

* Fri Dec 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- automatic update by autodist

* Wed Aug 06 2008 Marco Bellezza <superbel@hotmail.it> 1.0-1mamba
- package created by autospec
